#
# spec file for package perl-Test-Distribution (Version 2.00)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Test-Distribution
Version:        2.00
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Test-Distribution
Summary:        perform tests on all modules of a distribution
Url:            http://search.cpan.org/dist/Test-Distribution/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/S/SR/SRSHAH/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Manifest) >= 1.43
BuildRequires:  perl(File::Find::Rule) >= 0.03
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::CoreList) >= 1.93
BuildRequires:  perl(Pod::Coverage) >= 0.17
BuildRequires:  perl(Test::More) >= 0.45
BuildRequires:  perl(Test::Pod) >= 0.95
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(ExtUtils::Manifest) >= 1.43
Requires:       perl(File::Find::Rule) >= 0.03
Requires:       perl(Module::CoreList) >= 1.93
Requires:       perl(Pod::Coverage) >= 0.17
Requires:       perl(Test::More) >= 0.45
Requires:       perl(Test::Pod) >= 0.95
Requires:       perl(Test::Pod::Coverage)
%{perl_requires}

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

This module also performs a numer of test on the distribution itself. It
checks that your files match your SIGNATURE file if you have one. It checks
that your distribution isn't missing certain 'core' description files. It
checks to see you havent' missed out listing any pre-requisites in
Makefile.PL.

It defines its own testing plan, so you usually don't use it in conjunction
with other 'Test::*' modules in the same file. It's recommended that you
just create a one-line test script as shown in the SYNOPSIS above. However,
there are options...

*NOTE* If you do not specify any options Test::Distribution will run all
test types *except* signature testing which must always be explicitly
switched on.

In the future I may change the default to run no tests at all as this
sounds safer. Mail me if you disagree.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc README

%changelog
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 2.00
  * created by cpanspec 1.78.04
